stages:          # List of stages for jobs, and their order of execution
  - build
  - test

build-job: 
  image: node:12-alpine
  stage: build
  script:
    - npm install
  cache:
    key:
      files:
        - package-lock.json
    paths:
      - node_modules

unit-test-job:   # This job runs in the test stage.
  stage: test    # It only starts when the job in the build stage completes successfully.
  script:
    - echo "Running unit tests... This will take about 60 seconds."
    - sleep 60
    - echo "Code coverage is 90%"